package api

import (
	"ppt_server/app/model"
	"ppt_server/app/service"

	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/net/ghttp"
)

var File = fileApi{}

type fileApi struct {
}

func (f *fileApi) Index(r *ghttp.Request) {
	_ = r.Response.WriteJson(g.Map{
		"code": 0,
		"msg":  "成功",
	})
}

func (f *fileApi) Upload(r *ghttp.Request) {
	var req model.FileUploadRequest
	if err := r.Parse(&req); err != nil {
		panic(err)
	}

	go service.File.Upload(&req)

	_ = r.Response.WriteJson(g.Map{
		"code": 0,
		"msg":  "成功",
	})
}

func (f *fileApi) Callback(r *ghttp.Request) {

}
