package packed

import (
	"mime"
)

type file struct {
	ext string
}

// 解析doctype
func (f *file) getDocType() string {
	switch f.ext {
	case ".ppt", "pptx":
		return "4"
	case ".doc", "docx":
		return "2"
	case "xls", "xlsx":
		return "3"
	case ".pdf":
		return "1"
	default:
		return "0"
	}
}

// 获取文件mine
func (f *file) getMine() string {
	_ = mime.AddExtensionType(".pptx", "application/vnd.openxmlformats-officedocument.presentationml.presentation")
	return mime.TypeByExtension(f.ext)
}
