package router

import (
	"ppt_server/app/api"
	"ppt_server/middleware"

	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/net/ghttp"
)

func init() {

	s := g.Server()
	s.Use(middleware.MiddlewareCors, middleware.MiddlewareRecover)
	s.Group(`file`, func(group *ghttp.RouterGroup) {
		group.ALL(`/`, api.File, "Index, Upload")
	})
}
